import type { OnLoadArgs, OnLoadResult, OnResolveArgs, OnResolveResult, Plugin, PluginBuild } from 'esbuild';
import ts from 'typescript';
export type OnloadCallBack = Parameters<PluginBuild['onLoad']>['1'];
export type OnResolveCallBack = Parameters<PluginBuild['onResolve']>['1'];
interface ClassPlugin extends Plugin {
    onResolve: OnResolveCallBack;
    onLoad: OnloadCallBack;
}
export default class TsPathsPlugin implements ClassPlugin {
    readonly name = "ts-paths";
    tsConfig?: ts.ParsedCommandLine;
    program?: ts.Program;
    searchRegExp?: RegExp;
    constructor();
    setup(build: PluginBuild): Promise<void>;
    onResolve(args: OnResolveArgs): OnResolveResult | null;
    onLoad({ path }: OnLoadArgs): Promise<OnLoadResult | null | undefined>;
    resolveAlias(sourceFile: ts.SourceFile, imported: string, absolute?: boolean): string;
}
export {};
